Package de.willuhn.jameica.hbci.forecast

# Enum Class SaldoLimit.Type

java.lang.Object
java.lang.Enum<SaldoLimit.Type>
de.willuhn.jameica.hbci.forecast.SaldoLimit.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<SaldoLimit.Type>`, `Constable`

Enclosing class:
  `SaldoLimit`

public static enum SaldoLimit.Type extends Enum<SaldoLimit.Type>
Enum mit den Arten von Limits.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LOWER`
Unteres Limit.
`UPPER`
Oberes Limit.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Liefert einen Beschreibungstext des Limits.
`boolean`
`reached(double saldo, double limit)`
Liefert true, wenn der Saldo das Limit erreicht hat
`static SaldoLimit.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SaldoLimit.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LOWER

public static final SaldoLimit.Type LOWER
Unteres Limit.

### UPPER

public static final SaldoLimit.Type UPPER
Oberes Limit.

## Method Details

### values

public static SaldoLimit.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SaldoLimit.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getDescription

public String getDescription()
Liefert einen Beschreibungstext des Limits.

Returns:
  Beschreibungstext.

### reached

public boolean reached(double saldo, double limit)
Liefert true, wenn der Saldo das Limit erreicht hat

Parameters:
  `saldo` - der Saldo.
  `limit` - das Limit.
Returns:
  true, wenn das Limit erreicht ist.